@echo off

rem #########################################################################
rem #                                                                       #
rem #   Startskript fr die SWE 2.BW-SIN mit grafischem Benutzerinterface   #
rem #                                                                       #
rem #  Das Skript ist als Beispiel zu betrachten und muss eventuell an die  #
rem #  Gegebenheiten des lokalen Projektes angepasst werden.                #
rem #                                                                       #
rem #  Es wird angenommen, dass die Kernsoftware gem der allgmeinen Vor-  #
rem #  gaben installiert wurde, insbesondere die Installation der SWE in    # 
rem #  Einzel-Unterverzeichnissen unter dem Verzeichnis                     #
rem #  "distributionspakete" und die Existenz einer allgemeinen Einstel-    #
rem #  lungsdatei "einstellungen.bat" im Verzeichnis                        # 
rem #  "..\..\skripte-dosshell" relativ zum Verzeichnis, in dem dieses      #
rem #  Skript residiert, in dem die allgemeinen Parameter fr die Datenver- #
rem #  teilerkopplung festgelegt sind.                                      #
rem #                                                                       #
rem #########################################################################
rem #  Folgende, aus der Datei 'einstellungen.bat" bernommene Parameter,   #
rem #  mssen berprft und evtl. angepasst werden.                         #
rem #########################################################################


call ..\..\skripte-dosshell\einstellungen.bat

rem # Parameter fr den Java-Interpreter

SET jvmargs="-Xmx1g"

rem # Parameter fr den Datenverteiler
rem set dav1="-datenverteiler=localhost -benutzer=Tester ^
rem   -authentifizierung=passwd -debugFilePath=.."


rem Titel des Shell-Fensters, in dem die SWE ausgefhrt wird.
title SWE2.BW-SIN

rem #########################################################################
rem #                                                                       #
rem #                        Parameter der SWE                              #
rem #                                                                       #
rem #########################################################################

rem # Parameter der Applikation "BWSIN"

rem # mit GUI ja/nein
SET GUI="ja"

rem # Parameter der Netzdatenquelle
SET NETZDATENQUELLE="wfs_bw_Default.properties"

rem # LCL-Datei
SET LCL="LCL5.02.D.NW-060309.csv"

rem # Pfad fr den Konfigurationsbereich 
SET KBPFAD="."

rem # KonfigurationsVerantwortlicher
SET KV="kv.bw"

rem # PID des Konfigurationsbereiches
SET KBPID="kb.verkehrStrassenSegmenteBw"

rem # Name des Konfigurationsbereiches
SET KBNAME="Teilmodell Verkehr Global, Anteil StraenSegmente, BW"

rem # Info des Konfigurationsbereiches
SET KBINFO="Teilmodell Verkehr"

rem # mit Abweichungen ja/nein
SET ABWEICHUNGEN="ja"

rem # Protokolldatei Abweichungen
SET ABWEICHUNGSPROTOKOLL="abweichungen.txt"

rem # zu prfende Netzreferenzen (optional)
SET NETZREFERENZEN="de.bsvrz.kex.bwsin.NetzReferenzenDefault"

rem #########################################################################
rem #                                                                       #
rem #                  Ausfhrung der Softwareeinheit                       #
rem #                                                                       #
rem # Ab hier mssen in dem Skript keine nderungen mehr vorgenommen werden.#
rem #                                                                       #
rem #########################################################################

java %jvmargs% -jar de.bsvrz.kex.bwsin-runtime.jar %dav1% ^
	-debugLevelStdErrText=INFO ^
	-debugLevelFileText=INFO ^
	-debugSetLoggerAndLevel=:INFO ^
	-guiStatischerImportNetz=%GUI% ^
	-dateiNameLcl=%LCL% ^
	-pfadNameKonfigurationsBereich=%KBPFAD% ^
	-KonfigurationsVerantwortlicher=%KV% ^
	-KonfigurationsBereichsPid=%KBPID% ^
	-KonfigurationsBereichsName=%KBNAME% ^
	-KonfigurationsBereichsInfo=%KBINFO% ^
	-mitAbweichungen=%ABWEICHUNGEN% ^
	-dateiNameProtokoll=%ABWEICHUNGSPROTOKOLL% ^
	-netzDatenQuelleParameter=%NETZDATENQUELLE% ^
	-netzReferenzen=%NETZREFERENZEN% 

rem Nach dem Beenden warten, damit Meldungen gelesen werden knnen

pause
