/**
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * Contact Information:<br>
 * BitCtrl Systems GmbH<br>
 * Wei&szlig;enfelser Stra&szlig;e 67<br>
 * 04229 Leipzig<br>
 * Phone: +49 341-490670<br>
 * mailto: info@bitctrl.de
 */

package de.bsvrz.kex.bwsin.kb;

import java.io.IOException;
import java.util.HashMap;
import java.util.Map;
import java.util.NoSuchElementException;
import java.util.Properties;

import org.geotools.data.DefaultQuery;
import org.geotools.data.FeatureReader;
import org.geotools.data.Query;
import org.geotools.data.Transaction;
import org.geotools.feature.Feature;
import org.geotools.feature.IllegalAttributeException;
import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;

import de.bsvrz.dav.daf.main.ClientDavConnection;
import de.bsvrz.dav.daf.main.ClientDavParameters;
import de.bsvrz.dav.daf.main.CommunicationError;
import de.bsvrz.dav.daf.main.ConnectionException;
import de.bsvrz.dav.daf.main.InconsistentLoginException;
import de.bsvrz.dav.daf.main.MissingParameterException;
import de.bsvrz.kex.bwsin.konfig.ImportException;
import de.bsvrz.kex.bwsin.konfig.kb.SINKonfigurationsBereich;
import de.bsvrz.kex.bwsin.konfig.okstra.Okstra;
import de.bsvrz.kex.bwsin.konfig.okstra.OkstraFeatures;
import de.bsvrz.sys.funclib.commandLineArgs.ArgumentList;

/**
 * @author BitCtrl Systems GmbH, Gieseler
 * @version $Id: TestKB.java 10459 2008-07-10 17:27:48Z gieseler $
 * 
 */
public class TestKB {

	/**
	 * @throws java.lang.Exception
	 */
	@BeforeClass
	public static void setUpBeforeClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@AfterClass
	public static void tearDownAfterClass() throws Exception {
	}

	private Okstra initOkstra() {
		Properties props = new Properties();

		props.put("Pfad", "/home/gysi/Documents/BaW/SIN/VRZ_BW_DSK_MIF_1_1/");

		try {
			return new Okstra(props);
		} catch (ImportException e) {
			// TODO Automatisch erstellter Catch-Block
			e.printStackTrace();
		}
		return null;
	}

	/**
	 * @throws java.lang.Exception
	 */
	@Before
	public void setUp() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@After
	public void tearDown() throws Exception {
	}

	@Test
	public void test() {
		String[] commandArguments = {
				"-datenverteiler=127.0.0.1:8083",
				"-benutzer=Tester",
				"-authentifizierung=/home/gysi/workspace/DAV-Neu/Projekte/SIN-Test/skripte-bash/passwd" };
		ArgumentList argumentList = new ArgumentList(commandArguments);
		try {
			ClientDavParameters parameters = new ClientDavParameters(
					commandArguments);
			ClientDavConnection dav = new ClientDavConnection(parameters);
			dav.connect();
			dav.login();
			Map se = new HashMap();

			Okstra o = initOkstra();

			Query query = new DefaultQuery(OkstraFeatures.STRASSENELEMENT
					.getFeatureOkstraName());
			FeatureReader reader;

			SINKonfigurationsBereich kb = new SINKonfigurationsBereich();
			kb.initialisiere(dav, "/home/gysi/kbtest.xml", "gysi.kv.test",
					"gysi.kb.pid", "gysi.kb.name", "gysi.kb.info");

			try {
				reader = o.getFeatureReader(query, Transaction.AUTO_COMMIT);
				while (reader.hasNext()) {
					Feature f = reader.next();

					// KonfigurationsObjekt k =
					// KonfigurationsObjektFactory.erzeugeObjekt(dav,
					// SINStrassenTeilSegment.bildePID("BW"),
					// SINStrassenTeilSegment.bildeNamen("BW"),
					// "SINStrassenTeilSegment");

					// Object geoattr = f.getAttribute("the_geom");
					// if (geoattr instanceof LineString) {
					// LineString ls = (LineString) geoattr;
					// WGS84Koordinate[] wgs84=
					// KoordinatenTransformation.nachWGS84(ls.getCoordinates());
					//				
					// x.setLength(wgs84.length);
					// y.setLength(wgs84.length);
					//					
					// for( int i=0; i<wgs84.length; i++) {
					// x.getValue(i).set(wgs84[i].get_breite());
					// y.getValue(i).set(wgs84[i].get_laenge());
					// }

					// k.versorgen(dav, f);
					// kb.addObjekt(k);
				}
			} catch (IOException e) {
				// TODO Automatisch erstellter Catch-Block
				e.printStackTrace();
			} catch (NoSuchElementException e) {
				// TODO Automatisch erstellter Catch-Block
				e.printStackTrace();
			} catch (IllegalAttributeException e) {
				// TODO Automatisch erstellter Catch-Block
				e.printStackTrace();
			}

			kb.generiereXML();

		} catch (MissingParameterException e) {
			// TODO Automatisch erstellter Catch-Block
			e.printStackTrace();
		} catch (CommunicationError e) {
			// TODO Automatisch erstellter Catch-Block
			e.printStackTrace();
		} catch (ConnectionException e) {
			// TODO Automatisch erstellter Catch-Block
			e.printStackTrace();
		} catch (InconsistentLoginException e) {
			// TODO Automatisch erstellter Catch-Block
			e.printStackTrace();
		}

	}
}
