/*
 * Segment 2 (KEx),  SWE 2.Statischer Import Netz
 * Copyright (C) 2007 BitCtrl Systems GmbH 
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weienfelser Strae 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.kex.bwsin.konfig.aktuell;

import java.util.NoSuchElementException;

import org.junit.Test;

import de.bsvrz.dav.daf.main.ClientDavConnection;
import de.bsvrz.dav.daf.main.ClientDavParameters;
import de.bsvrz.dav.daf.main.CommunicationError;
import de.bsvrz.dav.daf.main.ConnectionException;
import de.bsvrz.dav.daf.main.InconsistentLoginException;
import de.bsvrz.dav.daf.main.MissingParameterException;
import de.bsvrz.sys.funclib.commandLineArgs.ArgumentList;
import de.bsvrz.sys.funclib.debug.Debug;

/**
 * 
 * @author BitCtrl Systems GmbH, Gieseler
 * @version $Id: TestAktuelleAufteilungspunkte.java 7930 2008-04-03 17:39:44Z gieseler $
 * 
 */
public class TestAktuelleAufteilungspunkte {
	private ClientDavConnection dav;
	private final String kbPid = "kb.sin";

	public void initDav() {
		String[] commandArguments = {
				// "-datenverteiler=127.0.0.1:8083",
				"-datenverteiler=10.44.44.12:8083",
				// "-datenverteiler=192.168.1.136:8083",
				"-benutzer=Tester",
				"-authentifizierung=/home/gysi/workspace/DAV-Neu/Projekte/VRZ3BaWue/skripte-bash/passwd",
				// "-debugSetLoggerAndLevel=INFO",
				"-debugSetLoggerAndLevel=de.bsvrz.kex.bwsin:INFO",
				"-debugLevelStdErrText=INFO" };
		ArgumentList argumentList = new ArgumentList(commandArguments);
		try {
			String myname = "SIN-TEST";
			Debug.init(myname, argumentList);
			ClientDavParameters parameters = new ClientDavParameters(
					commandArguments);
			parameters.setApplicationName(myname);
			dav = new ClientDavConnection(parameters);
			dav.connect();
			dav.login();
		} catch (NoSuchElementException e) {
			// TODO Automatisch erstellter Catch-Block
			e.printStackTrace();
		} catch (MissingParameterException e) {
			// TODO Automatisch erstellter Catch-Block
			e.printStackTrace();
		} catch (CommunicationError e) {
			// TODO Automatisch erstellter Catch-Block
			e.printStackTrace();
		} catch (ConnectionException e) {
			// TODO Automatisch erstellter Catch-Block
			e.printStackTrace();
		} catch (InconsistentLoginException e) {
			// TODO Automatisch erstellter Catch-Block
			e.printStackTrace();
		}

	}

	/**
	 * Testfunktion Import.
	 */
	@Test
	public void testeAktuelleAufteilungspunkte() {
		initDav();
		try {
			SINAktuelleKonfiguration ak = new SINAktuelleKonfiguration();
			ak.initialisiere(dav, kbPid);
			AufteilungspunkteAktuelleKonfiguration aap = new AufteilungspunkteAktuelleKonfiguration(
					ak, dav);
			System.out.println("aktuelle Aufteilungspunkte mit Koordinaten:");
			for (AufteilungspunktAktuelleKonfiguration ap : aap
					.getAufteilungspunkteKoordinaten()) {
				System.out.println(ap.getSystemObjekt().getPid());
			}

			System.out
					.println("aktuelle Aufteilungspunkte mit Linienreferenz:");
			for (AufteilungspunktAktuelleKonfiguration ap : aap
					.getAufteilungspunkteLinienreferenz()) {
				System.out.println(ap.getSystemObjekt().getPid());
			}

		} catch (Exception e) {
			// TODO Auto-generated catch block
			e.printStackTrace();
		}
	}
}
