/*
 * Segment 2 (KEx),  SWE 2.Statischer Import Netz
 * Copyright (C) 2007 BitCtrl Systems GmbH 
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weienfelser Strae 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.kex.bwsin.konfig.kb;

import java.util.List;

import de.bsvrz.kex.bwsin.konfig.Location;

/**
 * Interface f&uer die Stra&szlig;ensegmente.
 * 
 * @author BitCtrl Systems GmbH, Gieseler
 * @version $Id: SINStrassenSegment.java 10249 2008-07-04 08:19:59Z gieseler $
 * 
 */
public interface SINStrassenSegment {

	/**
	 * Teilt den Polygonzug des Segmentes an einem Offset.
	 * 
	 * @param offset
	 *            Offset auf dem Segment
	 * @return true, wenn eine Aufteilung erfolgt ist, sonst false
	 */
	boolean aufteilenOffset(float offset);

	/**
	 * Gibt die {@link Location} zur&uuml;ck, auf die das Stra&szlig;ensegment
	 * zuf&auml;hrt.
	 * 
	 * @return {@link Location}
	 */
	Location getLocationNach();

	/**
	 * Gibt die {@link Location} zur&uuml;ck, von der sich das
	 * Stra&szlig;ensegment wegbewegt.
	 * 
	 * @return {@link Location}
	 */
	Location getLocationVon();

	/**
	 * Gibt die Liste der Stra&szlig;enteilsegmente zur&uuml;ck.
	 * 
	 * @return Liste der Stra&szlig;enteilsegmente
	 */
	List<KonfigurationsObjekt> getTeilSegmente();

	/**
	 * Setzt die {@link Location}, auf die das Stra&szlig;ensegment
	 * zuf&auml;hrt.
	 * 
	 * @param nach
	 *            {@link Location}
	 */
	void setLocationNach(Location nach);

	/**
	 * Setzt die {@link Location}, von der sich das Stra&szlig;ensegment
	 * wegbewegt.
	 * 
	 * @param von
	 *            {@link Location}
	 */
	void setLocationVon(Location von);

	/**
	 * Setzt die Stra&szlig;e, zu der das Stra&szlig;ensegment geh&ouml;rt.
	 * 
	 * @param strasse
	 *            {@link KonfigurationsObjekt}
	 * 
	 */
	void setZuStrasse(KonfigurationsObjekt strasse);
}
