/*
 * Segment 2 (KEx),  SWE 2.Statischer Import Netz
 * Copyright (C) 2007 BitCtrl Systems GmbH 
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weienfelser Strae 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.kex.bwsin.konfig.lcl;

/**
 * Interface Modul LCL.
 * 
 * @author BitCtrl Systems GmbH, Gieseler
 * @version $Id: SINLCLInterface.java 10390 2008-07-09 15:06:39Z gieseler $
 * 
 */
public interface SINLCLInterface {

	/**
	 * Initialisiert die interne Liste aus einer LCL-Datei.
	 * 
	 * @param dateiName
	 *            der Name der LCL-Datei (CSV)
	 * @throws IllegalArgumentException
	 * @throws FileNotFoundException
	 */
	// @SuppressWarnings("unchecked")
	// public void initialisiere(final String dateiName)
	// throws IllegalArgumentException, FileNotFoundException;
	/**
	 * Liefert eine Liste von Location-Codes, bei denen der Wert der Spalte
	 * <code>spaltenname</code> gleich dem Wert <code>spaltenwert</code>
	 * ist.
	 * 
	 * @param spaltenname
	 *            Spaltenname
	 * @param spaltenwert
	 *            Wert der Spalte
	 * @return Liste von Location-Codes
	 */
	java.util.List<String> getLocationCodes(final String spaltenname,
			final String spaltenwert);

	/**
	 * Liefert den Wert einer Spalte der LCL zu einem Location-Code.
	 * 
	 * @param locationcode
	 *            Locationcode
	 * @param spaltenname
	 *            Spaltenname
	 * @return Inhalt der Spalte <code>spaltenname</code> zum Location-Code
	 */
	String getLocationCodeWert(final String locationcode,
			final String spaltenname);

}
