/**
 * This program is free software; you can redistribute it and/or modify it under
 * the terms of the GNU General Public License as published by the Free Software
 * Foundation; either version 2 of the License, or (at your option) any later
 * version.
 * 
 * This program is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE. See the GNU General Public License for more
 * details.
 * 
 * You should have received a copy of the GNU General Public License along with
 * this program; if not, write to the Free Software Foundation, Inc., 51
 * Franklin Street, Fifth Floor, Boston, MA 02110-1301, USA.
 * 
 * Contact Information:<br>
 * BitCtrl Systems GmbH<br>
 * Wei&szlig;enfelser Stra&szlig;e 67<br>
 * 04229 Leipzig<br>
 * Phone: +49 341-490670<br>
 * mailto: info@bitctrl.de
 */

package de.bsvrz.kex.bwsin.konfig.lcl;

import static org.junit.Assert.assertEquals;
import static org.junit.Assert.fail;

import java.io.FileNotFoundException;
import java.util.LinkedList;
import java.util.List;

import org.junit.After;
import org.junit.AfterClass;
import org.junit.Before;
import org.junit.BeforeClass;
import org.junit.Test;

/**
 * @author gysi
 *
 */
public class TestLCL {
	//private LCL _tlcl = new LCL();
	private static String _lclFile = "/home/gysi/Documents/BaW/LCL5.02.D.NW-060309.csv";

	/**
	 * @throws java.lang.Exception
	 */
	@BeforeClass
	public static void setUpBeforeClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@AfterClass
	public static void tearDownAfterClass() throws Exception {
	}

	/**
	 * @throws java.lang.Exception
	 */
	@Before
	public void setUp() throws Exception {
	
	}

	/**
	 * @throws java.lang.Exception
	 */
	@After
	public void tearDown() throws Exception {
	}

	/**
	 * Methode fr {@link de.bsvrz.kex.bwsin.konfig.lcl.LCL#initialisiere(java.lang.String)} testen
	 */
	@Test(expected=IllegalArgumentException.class)
	public void testInitialisiere1() {
			try {
				LCL.initialisiere(null);
			} catch (FileNotFoundException e) {
				// TODO Automatisch erstellter Catch-Block
				e.printStackTrace();
			}
	}
	
	/**
	 * Methode fr {@link de.bsvrz.kex.bwsin.konfig.lcl.LCL#initialisiere(java.lang.String)} testen
	 */
	@Test
	public void testInitialisiere2() {
			try {
				LCL.initialisiere("/QTERATRTA");
				fail();
			} catch (FileNotFoundException e) {
				// TODO Automatisch erstellter Catch-Block
//				e.printStackTrace();
			}
	}

	public void init() throws FileNotFoundException {
		LCL.initialisiere(_lclFile);
	}
	
	/**
	 * Methode fr {@link de.bsvrz.kex.bwsin.konfig.lcl.LCL#getsize()} testen
	 */
	public void test() {
		
		// prepare exspected result
		List<String> rlist = new LinkedList<String>();
		rlist.add("24760");
		rlist.add("24940");
		rlist.add("39444");
		rlist.add("47786");
		
		try {
			init();
			assertEquals(34771, LCL.getInstance().getsize() );
			
			 List<String> ll = LCL.getInstance().getLocationCodes("FIRST_NAME", "Bentlage");
			 assertEquals(rlist, ll);
	
			 // Rheine-Nord
			 assertEquals("Rheine-Nord", LCL.getInstance().getLocationCodeWert("24941", "FIRST_NAME"));
			 
		} catch (FileNotFoundException e) {
			// TODO Automatisch erstellter Catch-Block
			e.printStackTrace();
			fail();
		}

	}
	
	/**
	 * Methode fr {@link de.bsvrz.kex.bwsin.konfig.lcl.LCL#getsize()} testen
	 */
	@Test
	public void test2() {
		
		// prepare exspected result
		List<String> rlist = new LinkedList<String>();
		rlist.add("24760");
		rlist.add("24940");
		rlist.add("39444");
		rlist.add("47786");
		
		try {
			LCL.initialisiere(_lclFile);
			
			LCL lcl= LCL.getInstance();
			
			List<String> ll = lcl.getLocationCodes("NETZKNOTEN_NR", "7221058");
			
			assertEquals(rlist, ll);
	
			 
		} catch (FileNotFoundException e) {
			// TODO Automatisch erstellter Catch-Block
			e.printStackTrace();
			fail();
		}
	}

}
