/*
 * Segment 2 (KEx),  SWE 2.Statischer Import Netz
 * Copyright (C) 2007 BitCtrl Systems GmbH 
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weienfelser Strae 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.kex.bwsin.konfig.okstra;

/**
 * Klasse mit statischen Konstanten zum Zugriff auf die Okstra-Features.
 * 
 * @author BitCtrl Systems GmbH, Gieseler
 * @version $Id: OkstraFeatures.java 10401 2008-07-10 09:06:04Z gieseler $
 * 
 */
public final class OkstraFeatures {

	/**
	 * Feature-Typ okstra:Strassenelement.
	 */
	public static final OkstraStrassenElement STRASSENELEMENT = new OkstraStrassenElement();

	/**
	 * Feature-Typ okstra:Strassenelement_auf_Abschnitt_oder_Ast.
	 */
	public static final OkstraStrassenElementAOA STRASSENELEMENT_AOA = new OkstraStrassenElementAOA();

	/**
	 * Feature-Typ okstra:Strecke.
	 */
	public static final OkstraStrecke STRECKE = new OkstraStrecke();

	/**
	 * Feature-Typ okstra:Ast.
	 */
	public static final OkstraAst AST = new OkstraAst();

	/**
	 * Feature-Typ okstra:Abschnitt.
	 */
	public static final OkstraAbschnitt ABSCHNITT = new OkstraAbschnitt();

	/**
	 * Feature-Typ okstra:Fahrbahnlaengsneigung.
	 */
	public static final OkstraFNeigung FAHRBAHNNEIGUNG = new OkstraFNeigung();

	/**
	 * Feature-Typ okstra:Anzahl_Fahrstreifen.
	 */
	public static final OkstraAnzahlFahrstreifen ANZAHLFAHRSTREIFEN = new OkstraAnzahlFahrstreifen();

	/**
	 * Feature-Typ okstra:Verbindungspunkt.
	 */
	public static final OkstraVerbindungspunkt VERBINDUNGSPUNKTE = new OkstraVerbindungspunkt();

	/**
	 * Feature-Typ vrz3:max_GeschwindigkeitVRZ.
	 */
	public static final OkstraMaxGeschwindigkeit GESCHWINDIGKEIT = new OkstraMaxGeschwindigkeit();

	/**
	 * Feature-Typ vrz3:UeberholverbotVRZ.
	 */
	public static final OkstraUeberholverbot UEBERHOLVERBOT = new OkstraUeberholverbot();

	/**
	 * Feature-Typ okstra:Nullpunkt.
	 */
	public static final OkstraNullpunkt NULLPUNKT = new OkstraNullpunkt();

	/**
	 * Feature-Typ okstra:Netzknoten.
	 */
	public static final OkstraNetzknoten NETZKNOTEN = new OkstraNetzknoten();

	/**
	 * Feature-Typ okstra:Betriebskilometer.
	 */
	public static final OkstraBetriebsKilometer BETRIEBSKILOMETER = new OkstraBetriebsKilometer();

	/**
	 * Feature-Typ okstra:Betriebskilometer.
	 */
	public static final OkstraBlock BLOCK = new OkstraBlock();

	/**
	 * Feature-Typ okstra:Verbotene_Fahrbeziehung.
	 */
	public static final OkstraVerboteneFahrbeziehung VERBOTENE_FAHRBEZIEHUNG = new OkstraVerboteneFahrbeziehung();

	/**
	 * Feature-Typ okstra:Dauer.
	 */
	public static final OkstraDauer DAUER = new OkstraDauer();

	/**
	 * Feature-Typ okstra:einfacher_Zeitraum.
	 */
	public static final OkstraEinfacherZeitraum EINFACHER_ZEITRAUM = new OkstraEinfacherZeitraum();

	/**
	 * Feature-Typ okstra:Startdatum.
	 */
	public static final OkstraStartDatum STARTDATUM = new OkstraStartDatum();

	/**
	 * Privater Konstruktor.
	 */
	private OkstraFeatures() {
		// never used
	}

}
